Subject: Re: [PATCH 1/2] Allow to override mergetool.prompt with $GIT_MERGETOOL*_PROMPT

From: Sebastian Schuberth <[email-masked]>
Date: Thu, 21 Jan 2010 11:10:15 +0100

On 21.01.2010 08:44, David Aguilar wrote:

> The GIT_DIFFTOOL*_PROMPT variables are implementation details
> about how git-difftool passes options to git-difftool--helper.
> We don't advertise them in the documentation so we probably
> shouldn't support them aside from what is needed for
> git-difftool.  We can drop this part.

Thanks for the explanation, I already was wondering why they don't 
appear in the docs.

> git-difftool falling back to mergetool.prompt when
> difftool.prompt is not available is good, especially
> since we advertise that feature.
>
> Once you drop the local declarations and the env. variable
> it should be good to go.  Patch v2, soon?

If I drop env. variable support, I don't see much reason to introduce 
the should_prompt_merge () at all. I'd then leave git-mergetool* as-is, 
and directly run "git config --bool mergetool.prompt" inside 
should_prompt_diff (). Would that be OK with you?

-- 
Sebastian Schuberth